/* ==========================================================================
   Header main menu style - begin
   ========================================================================== */

.mkdf-main-menu {
    @include mkdfRelativeHolderLayout();
    height: 100%;
    width: auto;

    ul {
        list-style: none outside none;
        margin: 0;
        padding: 0;
        text-align: left;

        li {
            position: relative;
            display: inline-block;
            float: left;
            padding: 0;
            margin: 0;

            a {
                font-size: 14px;
                line-height: 24px;
                color: #ababab;

                &:hover {
                    color: $first-main-color;
                }

                i:before {
                    margin: 0 7px 0 0;
                }

                .menu_icon_wrapper {
                    position: relative;
                    display: inline-block;
                    vertical-align: middle;
                }

                .mkdf-menu-featured-icon {
                    position: relative;
                    top: -4px;
                    left: 5px;
                    color: $first-main-color;
                    font-size: 10px;
                    margin: 0;

                    &:before {
                        margin: 0;
                    }
                }
            }
        }
    }

    > ul {
        @include mkdfRelativeHolderLayout();
        height: 100%;

        > li {
            float: left;
            height: 100%;
            box-sizing: border-box;

            > a {
                @include mkdfRelativeHolderLayout();
                height: 100%;
                padding: 0 28px;
                color: #606264;
                font-size: 14px;
                line-height: 23px;
                font-weight: 600;
                text-transform: uppercase;
                box-sizing: border-box;

                > span.item_outer {
                    position: relative;
                    display: block;
                    top: 50%;
                    @include mkdfTransform(translateY(-50%));

                    .item_text {
                        position: relative;
                        display: inline-block;
                        vertical-align: top;
                    }
                }
            }

            &.mkdf-active-item > a {
                color: $first-main-color;
            }

            &.has_sub {

                > a .mkdf-menu-arrow {
                    display: none;
                }
            }
        }
    }
}

.mkdf-light-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) {

    .mkdf-main-menu > ul > li {

        > a {
            color: $header-light-color;

            &:hover {
                color: $header-light-hover-color;
            }
        }

        &.mkdf-active-item > a {
            color: $header-light-hover-color;
        }
    }
}

.mkdf-dark-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) {

    .mkdf-main-menu > ul > li {

        > a {
            color: $header-dark-color;

            &:hover {
                color: $header-dark-color;
            }
        }

        &.mkdf-active-item > a {
            color: $header-dark-color;
        }
    }
}

/* Narrow drop down styles
   ========================================================================== */
.mkdf-drop-down {

    .second {
        position: absolute;
        display: block;
        left: 10px;
        top: 100%;
        visibility: hidden;
        overflow: hidden;
        opacity: 0;
        z-index: 10;
        @include mkdfTransition(top 0.15s ease-out);

        &.mkdf-drop-down-start {
            visibility: visible;
            overflow: visible;
            opacity: 1;
            @include mkdfTransition(opacity 0.2s ease-out);
        }

        &.right {
            right: 10px;
            left: auto;
        }
    
        .inner {
            position: relative;
            display: block;
            padding: 0;
            margin: 0;
            z-index: 997;
    
            ul {
        
                li {
                    display: block;
                    float: none;
                    height: auto;
            
                    .widget {
                        width: 100%;
                        margin: 0 !important;
                    }
            
                    a {
                        display: block;
                        float: none;
                        margin: 0;
                        padding: 6px 17px;
                
                        .item_outer {
                            position: relative;
                            display: block;
                            overflow: hidden;
                            box-sizing: border-box;
                            @include mkdfTransition(padding .2s ease-in-out);
                        }
                
                        &:hover {
                            color: $first-main-color;
                        }
                    }
            
                    &.current-menu-ancestor > a,
                    &.current-menu-item > a {
                        color: $first-main-color;
                    }
            
                    &.sub {
                
                        > a {
                    
                            .item_outer {
                        
                                &:after {
                                    position: absolute;
                                    display: inline-block;
                                    vertical-align: middle;
                                    top: -1px;
                                    right: -2px;
                                    content: "\35";
                                    font-family: 'ElegantIcons';
                                    font-size: 17px;
                                    font-weight: normal;
                                    font-style: normal;
                                    text-rendering: auto;
                                    -webkit-font-smoothing: antialiased;
                                    -moz-osx-font-smoothing: grayscale;
                                }
                            }
                        }
                    }
                }
        
                &.right {
            
                    li {
                
                        a {

                        }
                
                        &.current-menu-ancestor > a,
                        &.current-menu-item > a {

                        }
                
                        &.sub {
                    
                            > a {
                        
                                .item_outer {
                            
                                    &:after {
                                        right: auto;
                                        left: -2px;
                                        content: "\34";
                                    }
                                }
                            }
                        }
                
                        a {
                            text-align: right;
                        }
                
                        ul {
                            left: -100%;
                        }
                    }
                }
            }
        }
    }

    li {
        
        &.left_position {
            
            .second {
                left: 0;
            }
        }
        
        &.right_position {
            
            .second {
                left: auto;
                right: 0;
            }
        }
    }

    > ul > li {
        &:hover > .second {
            z-index: 20;
        }
    }

    .narrow .second .inner {

        ul {
            position: relative;
            display: inline-block;
            vertical-align: middle;
            background-color: #fff;
            padding: 9px 0;
            border-top: 4px solid $first-main-color;
            box-shadow: 0 5px 15px -5px rgba(0,0,0,.05);

            li {
                width: 200px;

                ul {
                    position: absolute;
                    left: 100%;
                    top: -13px;
                    height: auto;
                    opacity: 0;
                    overflow: hidden;
                    z-index: 10;
                    -webkit-transform: translateZ(0);
                    @include mkdfTransition(opacity .4s ease-out);
                }

                &:hover ul {
                    z-index: 20;
                    opacity: 1;
                }
            }

            &.right li ul {
                left: -100%;
            }
        }
    }
}

/* Wide drop down styles
   ========================================================================== */
.mkdf-drop-down .wide {

    .second {

        .inner {
            background-color: #fff;
            text-align: center;
            border-top: 4px solid $first-main-color;
            box-shadow: 0 5px 15px -5px rgba(0,0,0,.05);

            ul {

                li {

                    a {
                        padding: 6px 0;

                        &:hover {
                            color: $first-main-color;
                        }
                    }

                    ul {
                        position: relative;
                        display: block;
                        top: 0;
                        left: 0;
                        visibility: visible;

                        li {

                            &:last-child {

                                a {
                                    padding-bottom: 0;
                                }
                            }
                        }
                    }
                }
            }

            > ul {
                position: relative;
                display: inline-block;
                vertical-align: middle;
                width: 1100px;
                padding: 35px 0 30px;
                box-sizing: border-box;

                @media only screen and (min-width: 1400px) {
                    .mkdf-grid-1300 & {
                        width: $grid-width-1300;
                    }
                }

                @media only screen and (min-width: 1300px) {
                    .mkdf-grid-1200 & {
                        width: $grid-width-1200;
                    }
                }

                @media only screen and (min-width: 1200px) {
                    .mkdf-grid-1000 & {
                        width: $grid-width-1000;
                    }
                }

                @media only screen and (min-width: 1024px) {
                    .mkdf-grid-800 & {
                        width: $grid-width-800;
                    }
                }

                > li {
                    float: left;
                    width: 25%;
                    margin: 0;
                    padding: 0 26px;
                    border-right: 1px solid $default-border-color;
                    box-sizing: border-box;
                    &:last-child {
                        border-right: none;
                    }

                    &:nth-child(4n+1) {
                        clear: both;
                    }

                    > a {
                        padding: 0 0 17px;
                        color: #606264;
                        font-size: 14px;
                        letter-spacing: 0.05em;
                        line-height: 1.1em;
                        font-weight: 600;

                        &.no_link {
                            cursor: default;
                            color: #606264;
                        }

                        .item_outer {
                            padding: 0;
                            overflow: inherit;

                            &:before,
                            &:after {
                                display: none;
                            }
                        }
                    }

                    &.current-menu-ancestor > a,
                    &.current-menu-item > a {
                        color: $first-main-color;
                    }


                    /* Style for widgets in wide menu */
                    &.uses-custom-sidebar {
                        border-right: none;

                        .widget.mkdf-course-list-widget {
                            article {
                                margin-bottom: 0!important;
                            }

                            .mkdf-course-list-holder {
                                margin-top: 4px;
                                margin-bottom: 0;
                            }

                            .mkdf-course-list-holder.mkdf-cl-minimal article {
                                .mkdf-cli-image,
                                .mkdf-cli-text-holder{
                                    display: block;
                                    width: 100%;
                                    height: auto;
                                }
                                .mkdf-cli-image img {
                                    min-height: 174px;
                                    @include laptop-landscape-medium {
                                        min-height: 142px;
                                    }
                                }
                                .mkdf-cli-text {
                                    .mkdf-cli-title {
                                        float: left;
                                        color: #606264;
                                        font-size: 14px;
                                        margin-top: 7px;

                                        a {
                                            color: inherit;
                                            font-size: inherit;
                                            &:hover {
                                                color : $first-main-color;
                                            }
                                        }
                                    }
                                    .mkdf-ci-price-holder {
                                        margin-top: 16px;
                                        .mkdf-ci-price-free {
                                            float: right;
                                            color: #ffffff;
                                            padding: 0 14px;
                                            line-height: 19px;
                                            border-radius: 5em;
                                            background-color:  $second-main-color !important;
                                            text-transform: uppercase;
                                        }
                                        .mkdf-ci-price-value {
                                            background-color: $first-main-color;
                                            float: right;
                                            color: #ffffff !important;
                                            padding: 0 14px;
                                            line-height: 19px;
                                            border-radius: 5em;
                                            text-transform: uppercase;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    &.left_position,
    &.right_position {

        .second .inner > ul {
            width: auto;
            white-space: nowrap;

            > li {
                float: none;
                display: inline-block;
                vertical-align: top;

                &:nth-child(4n+1) {
                    border-left: none;
                }
            }
        }

        .second ul li {
            width: 200px;
        }
    }
}
/* ==========================================================================
   Header main menu style - end
   ========================================================================== */